MetaSoul

Loading...
Searching...
No Matches
Public Member Functions | List of all members
UESFileComponent Class Reference

`#include <ESFileComponent.h>`

Inheritance diagram for UESFileComponent:

## Public Member Functions
FString | ProjectContentsDirectory ()
FString | ProjectDirectory ()
FString | ProjectSavedDirectory ()
FString | ExternalSaveDirectory ()
void | SplitFullPath (const FString &InFullPath, FString &OutDirectory, FString &OutFileName)
void | ProjectRelativePath (const FString &InFullPath, FString &OutProjectRelativePath)
bool | SaveBytesToFile (const TArray< uint8 > &Bytes, const FString &Directory, const FString &FileName, bool bLogSave=false)
bool | ReadBytesFromFile (const FString &Directory, const FString &FileName, TArray< uint8 > &OutBytes)

## Member Function Documentation

## ◆ ExternalSaveDirectory()

FString UESFileComponent::ExternalSaveDirectory | ( |  | ) |

External storage in android context, otherwise uses project saved directory

## ◆ ProjectContentsDirectory()

FString UESFileComponent::ProjectContentsDirectory | ( |  | ) |

Get the current project contents directory path

## ◆ ProjectDirectory()

FString UESFileComponent::ProjectDirectory | ( |  | ) |

Get the current project directory path

## ◆ ProjectRelativePath()

void UESFileComponent::ProjectRelativePath | ( | const FString & | InFullPath,
|  | FString & | OutProjectRelativePath )

## ◆ ProjectSavedDirectory()

FString UESFileComponent::ProjectSavedDirectory | ( |  | ) |

Get the current project saved directory path

## ◆ ReadBytesFromFile()

bool UESFileComponent::ReadBytesFromFile | ( | const FString & | Directory,
|  | const FString & | FileName,
|  | TArray< uint8 > & | OutBytes )

Read array of bytes from file at specified directory

## ◆ SaveBytesToFile()

bool UESFileComponent::SaveBytesToFile | ( | const TArray< uint8 > & | Bytes,
|  | const FString & | Directory,
|  | const FString & | FileName,
|  | bool | bLogSave = false )

Save array of bytes to file at specified directory

## ◆ SplitFullPath()

void UESFileComponent::SplitFullPath | ( | const FString & | InFullPath,
|  | FString & | OutDirectory,
|  | FString & | OutFileName )

The documentation for this class was generated from the following files:

- EmoShapeWebUtility/Public/ESFileComponent.h
- EmoShapeWebUtility/Private/ESFileComponent.cpp